# JingleContentThumbnail class

## Constructors

JingleContentThumbnail (Uri uri, String? mediaType, int? width, int? height)
  const
JingleContentThumbnail.fromXML (XMLNode thumbnail)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
height → int?
  The height of the thumbnail.
  final
mediaType → String?
  The MIME type of the thumbnail
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
uri → Uri
  The URI of the thumbnail data.
  final
width → int?
  The width of the thumbnail.
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXML () → XMLNode
  Convert the thumbnail to its XML representation.

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited